<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_17</title>
</head>
<body>
    <h1>Capitulo 17</h1>
    <a>Ejercicio 5</a>

    <script>

        function isalpha(input_char) {

            if ((input_char >= 65 && input_char <= 90) || (input_char >= 97 && input_char <= 122)) {
                return true;
            }
               
            return false;
        }
       
        function buscarSubArr(arr, n) {

            let sum = 0;
            let maxsize = -1, startindex = 0;

            for (let i = 0; i < n; i++) {
                if (isalpha(arr[i].charCodeAt())) {
                    arr[i] = 0;
                } else {
                    arr[i] = 1;
                }
            }

            for (let i = 0; i < n - 1; i++) {
                sum = (arr[i] == 0) ? -1 : 1;
       
                for (let j = i + 1; j < n; j++) {
                
                    if(arr[j] == 0) {
                        sum += -1;
                    } else {
                        sum += 1;
                    }
       
                    if (sum == 0 && maxsize < j - i + 1) {
                        maxsize = j - i + 1;
                        startindex = i;
                    }
                }
            }
       
            if (maxsize == -1) {
                console.log(maxsize);
            } else {
                console.log(startindex + " " + (startindex + maxsize - 1));
            }
        }
     
        let arr = [ 'Z', 'g', 'o', 'F', '5', '3', '9', 'T', 'b' ];
        let size = arr.length;
 
        buscarSubArr(arr, size);

</script>
    
</body>
</html>